{
    "openapi": "3.0.3",
    "info": {
        "title": "SMK School API",
        "version": "1.0.0",
        "description": "Minimal API docs for frontend/admin integration."
    },
    "servers": [
        {
            "url": "https://backend.smkschool.com/api"
        }
    ],
    "tags": [
        {
            "name": "Admission"
        },
        {
            "name": "Auth"
        },
        {
            "name": "Blogs"
        },
        {
            "name": "Contact"
        },
        {
            "name": "Docs"
        },
        {
            "name": "Events"
        },
        {
            "name": "Gallery"
        },
        {
            "name": "Media"
        },
        {
            "name": "Notices"
        },
        {
            "name": "System"
        },
        {
            "name": "Testimonials"
        }
    ],
    "paths": {
        "/admission/create": {
            "post": {
                "summary": "POST /admission/create",
                "tags": [
                    "Admission"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/admission/list": {
            "get": {
                "summary": "GET /admission/list",
                "tags": [
                    "Admission"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/auth/_helpers": {
            "get": {
                "summary": "GET /auth/_helpers",
                "tags": [
                    "Auth"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/auth/login": {
            "post": {
                "summary": "POST /auth/login",
                "tags": [
                    "Auth"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/auth/logout": {
            "post": {
                "summary": "POST /auth/logout",
                "tags": [
                    "Auth"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/auth/me": {
            "get": {
                "summary": "GET /auth/me",
                "tags": [
                    "Auth"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/blogs/_helpers": {
            "get": {
                "summary": "GET /blogs/_helpers",
                "tags": [
                    "Blogs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/blogs/create": {
            "post": {
                "summary": "POST /blogs/create",
                "tags": [
                    "Blogs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/blogs/delete": {
            "post": {
                "summary": "POST /blogs/delete",
                "tags": [
                    "Blogs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/blogs/list": {
            "get": {
                "summary": "GET /blogs/list",
                "tags": [
                    "Blogs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/blogs/show": {
            "get": {
                "summary": "GET /blogs/show",
                "tags": [
                    "Blogs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/blogs/update": {
            "post": {
                "summary": "POST /blogs/update",
                "tags": [
                    "Blogs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/contact/create": {
            "post": {
                "summary": "POST /contact/create",
                "tags": [
                    "Contact"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/contact/list": {
            "get": {
                "summary": "GET /contact/list",
                "tags": [
                    "Contact"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/docs": {
            "get": {
                "summary": "GET /docs",
                "tags": [
                    "Docs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/docs/openapi.json": {
            "get": {
                "summary": "GET /docs/openapi.json",
                "tags": [
                    "Docs"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/events/_helpers": {
            "get": {
                "summary": "GET /events/_helpers",
                "tags": [
                    "Events"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/events/create": {
            "post": {
                "summary": "POST /events/create",
                "tags": [
                    "Events"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/events/delete": {
            "post": {
                "summary": "POST /events/delete",
                "tags": [
                    "Events"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/events/list": {
            "get": {
                "summary": "GET /events/list",
                "tags": [
                    "Events"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/events/show": {
            "get": {
                "summary": "GET /events/show",
                "tags": [
                    "Events"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/events/update": {
            "post": {
                "summary": "POST /events/update",
                "tags": [
                    "Events"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/gallery/delete": {
            "post": {
                "summary": "POST /gallery/delete",
                "tags": [
                    "Gallery"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            },
            "delete": {
                "summary": "DELETE /gallery/delete",
                "tags": [
                    "Gallery"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/gallery/list": {
            "get": {
                "summary": "GET /gallery/list",
                "tags": [
                    "Gallery"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/gallery/upload": {
            "post": {
                "summary": "POST /gallery/upload",
                "tags": [
                    "Gallery"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/health": {
            "get": {
                "summary": "GET /health",
                "tags": [
                    "System"
                ],
                "responses": {
                    "200": {
                        "description": "Service is healthy",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "type": "object",
                                    "properties": {
                                        "success": {
                                            "type": "boolean"
                                        },
                                        "message": {
                                            "type": "string"
                                        },
                                        "timestamp": {
                                            "type": "string",
                                            "format": "date-time"
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
        },
        "/media/file": {
            "get": {
                "summary": "GET /media/file",
                "tags": [
                    "Media"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/media/upload": {
            "post": {
                "summary": "POST /media/upload",
                "tags": [
                    "Media"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/_helpers": {
            "get": {
                "summary": "GET /notices/_helpers",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/archive-summary": {
            "get": {
                "summary": "GET /notices/archive-summary",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/create": {
            "post": {
                "summary": "POST /notices/create",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/delete": {
            "post": {
                "summary": "POST /notices/delete",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/list": {
            "get": {
                "summary": "GET /notices/list",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/show": {
            "get": {
                "summary": "GET /notices/show",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/notices/update": {
            "post": {
                "summary": "POST /notices/update",
                "tags": [
                    "Notices"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/testimonials/_helpers": {
            "get": {
                "summary": "GET /testimonials/_helpers",
                "tags": [
                    "Testimonials"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/testimonials/create": {
            "post": {
                "summary": "POST /testimonials/create",
                "tags": [
                    "Testimonials"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/testimonials/delete": {
            "post": {
                "summary": "POST /testimonials/delete",
                "tags": [
                    "Testimonials"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/testimonials/list": {
            "get": {
                "summary": "GET /testimonials/list",
                "tags": [
                    "Testimonials"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        },
        "/testimonials/update": {
            "post": {
                "summary": "POST /testimonials/update",
                "tags": [
                    "Testimonials"
                ],
                "responses": {
                    "200": {
                        "description": "Successful response"
                    }
                }
            }
        }
    }
}